using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblRobotsUpdateScheme : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameTable(
                name: "TaskStatuses",
                newName: "TaskStatuses",
                newSchema: "robot");

            migrationBuilder.RenameTable(
                name: "RobotStatuses",
                newName: "RobotStatuses",
                newSchema: "robot");

            migrationBuilder.RenameTable(
                name: "Robots",
                newName: "Robots",
                newSchema: "robot");

            migrationBuilder.RenameTable(
                name: "RobotHistoryLevels",
                newName: "RobotHistoryLevels",
                newSchema: "robot");

            migrationBuilder.RenameTable(
                name: "RobotHistories",
                newName: "RobotHistories",
                newSchema: "robot");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameTable(
                name: "TaskStatuses",
                schema: "robot",
                newName: "TaskStatuses");

            migrationBuilder.RenameTable(
                name: "RobotStatuses",
                schema: "robot",
                newName: "RobotStatuses");

            migrationBuilder.RenameTable(
                name: "Robots",
                schema: "robot",
                newName: "Robots");

            migrationBuilder.RenameTable(
                name: "RobotHistoryLevels",
                schema: "robot",
                newName: "RobotHistoryLevels");

            migrationBuilder.RenameTable(
                name: "RobotHistories",
                schema: "robot",
                newName: "RobotHistories");
        }
    }
}
